FLAGS_DEBUG=-g
SHELL=zsh
CPTARGET=$(HOME)
ZSHMAGIC=setopt NO_NOMATCH;

default: all

# Only management stuff beyond here
dirwritable: 
	@if (touch a.out 2>/dev/null); then ; else\
		echo "This directory is not writable for you (`/usr/xpg4/bin/id -u -n 2>/dev/null ||  id -u -n 2>/dev/null`).\n\
 Please copy this example to your home directory or run:\n gmake cp CPTARGET=<your dir>";\
		exit 1;\
	fi

cp:
	@TDIR=`pwd`;\
	THISDIR=`basename $$TDIR`;\
	echo "Copying example $$THISDIR to $(CPTARGET) and starting a shell in this directory";\
	mkdir -p $(CPTARGET)/$$THISDIR;\
	cp * $(CPTARGET)/$$THISDIR;\
	echo;\
	echo 'You can now run "gmake" to build and run the example';\
	cd $(CPTARGET)/$$THISDIR; zsh

